/**
 * Delays execution for the specified duration.
 *
 * @param ms The duration to delay in milliseconds
 * @returns A promise that resolves after the delay
 */
export function sleep(ms: number): Promise<void> {
  return new Promise((resolve) => setTimeout(resolve, ms));
}
