export default class Page {

  /**
   * The route of the page
   * eg: /ranking/
   */
  private readonly _route: string;

  constructor(route: string) {
    this._route = route;
  }

  /*
   * This gets called when the page is loaded
   */
  public async onLoad() {}

  /**
   * The route of the page
   */
  get route(): string {
    return this._route;
  }
}